// stylelint-disable declaration-no-important



@each $color, $value in $theme-colors {
  @include bg-variant($color, $value);
}

@if $enable-gradients {
  @each $color, $value in $theme-colors {
    @include bg-gradient-variant(".bg-gradient-#{$color}", $value);
  }
}

@each $color, $value in $grays {
  .bg-gray-#{$color} {
    background-color: $value !important;
  }
}


.bg-white,
.bg-hover-white:hover {
  background-color: $white !important;
}

.bg-black,
.bg-hover-black:hover {
  background-color: $black !important;
}

.bg-transparent,
.bg-hover-transparent:hover {
  background-color: transparent !important;
}

// Background Accent

@each $color, $value in $theme-colors {
  @include bg-accent-variant($color, $value);
}
